// inicializa dados do gráfico
var arrMeses = [];
var arrRecebidos = [];
var arrMatriculados = [];

function InicializaGraficos()
{
	var randomScalingFactor = function(){ return Math.round(Math.random()*100)};
	var barChartData = {
		labels : arrMeses,

		datasets : [
			{
				fillColor : "rgba(255,184,72,1)",
				data : arrRecebidos
			},
			{
				fillColor : "rgba(53,170,71,1)",
				data : arrMatriculados
			}
		]
	}	
	
	var ctx = document.getElementById("canvas").getContext("2d");
	window.myBar = new Chart(ctx).Bar(barChartData, {
		responsive : true
	});
	
}

//busca dados do gráfico
function BuscaIndicadoresGrafico()
{
	MostraLoader();
	
	var URL = "http://leads.wizard.com.br/services/mobile/api/desempenho/GetDesempenhoMensalPorUnidade?Password=" + SenhaAplicacaoLead + "&CodigoEmitente=" + showCookie("CodigoEmitente");

	$.ajax({
		type	: "GET",
		url		: URL,
		crossDomain: true,
		async:	 false
	}).done(function(retorno)
	{
		var $Indicadores = retorno;
		
		if($Indicadores.Status == "Success")
		{
			for(i = 0; i < $Indicadores.DataObject.length; i++)
			{
				arrMeses.push( $Indicadores.DataObject[i].MesNome );
				arrRecebidos.push( $Indicadores.DataObject[i].RecebidosUnidade );
				arrMatriculados.push( $Indicadores.DataObject[i].Matriculados );
			}
			
			EscondeLoader();
		}
		else	
		{
			Alerta("Erro ao processar os dados! Verifique sua conexão e tente novamente.");
			RealizaLogout(true);		
		}

	});
}

//busca consolidado mensal
function BuscaIndicadoresMes()
{	
	var URL = "http://leads.wizard.com.br/services/mobile/api/desempenho/GetMediaDesempenhoPorUnidade?Password=" + SenhaAplicacaoLead + "&CodigoEmitente=" + showCookie("CodigoEmitente");

	$.ajax({
		type	: "GET",
		url		: URL,
		crossDomain: true,
		async:	 false
	}).done(function(retorno)
	{
		var $Indicadores = retorno;
		
		if($Indicadores.Status == "Success")
		{
			//
			jQuery("#intTotalRecebidos").text( $Indicadores.DataObject.RecebidosMes );
			jQuery("#intTotalMatriculados").text( $Indicadores.DataObject.MatriculadosMes );
			jQuery("#intDiasMatricula").text( $Indicadores.DataObject.TempoMatricula );
		}
		else	
		{
			Alerta("Erro ao processar os dados! Verifique sua conexão e tente novamente.");
			RealizaLogout(true);		
		}

	});
}

//busca consolidado consultor
function BuscaIndicadoresConsultor()
{	
	var URL = "http://leads.wizard.com.br/services/mobile/api/desempenho/GetDesempenhoConsultor?Password=" + SenhaAplicacaoLead + "&CodigoEmitente=" + showCookie("CodigoEmitente") + "&UsuarioID=" + UsuarioLogado().ID;

	$.ajax({
		type	: "GET",
		url		: URL,
		crossDomain: true,
		async:	 false
	}).done(function(retorno)
	{
		var $Indicadores = retorno;
		
		if($Indicadores.Status == "Success")
		{
			//
			jQuery("#intTmpUnidade").text( $Indicadores.DataObject.TempoMedioRede );
			jQuery("#intTmpRede").text( $Indicadores.DataObject.TempoMedioUnidade );
			jQuery("#intTmpConsultor").text( $Indicadores.DataObject.TempoMedioConsultor );
		}
		else	
		{
			Alerta("Erro ao processar os dados! Verifique sua conexão e tente novamente.");
			RealizaLogout(true);		
		}

	});
}

//inicialização das funções do phonegap         
function onDeviceReady() {
            
	if(cordova)
	{
		//
		ValidaConexaoInternet();			
	}

}

//inicializa funções da página
jQuery(function() 
{
	//
	document.addEventListener('deviceready', onDeviceReady, true);	
	document.addEventListener('offline', ValidaConexaoInternet, true);	

	if( UsuarioLogado() != null )
	{
		//dados consultor
		BuscaIndicadoresConsultor();
		
		//consolidado mes
		BuscaIndicadoresMes();
		
		//busca indicadores
		BuscaIndicadoresGrafico();
		
		//inicializa gráfico
		InicializaGraficos();
	}
	else	
	{
		Alerta("Erro ao processar os dados! Verifique sua conexão e tente novamente.");
		RealizaLogout(true);		
	}
});
